import { FC } from "react";
import MyTitle from "../components/MyTitle";
import MySection from "./MySection";

const AboutMe: FC = () => {
	const age = Math.floor(
		((new Date() as any) - (new Date("1993-07-11") as any)) / 31557600000
	);

	const work = Math.floor(
		((new Date() as any) - (new Date("2012-12-01") as any)) / 31557600000
	);

	return (
		<MySection iconName="me">
			<MyTitle left="Dobrý" right="Den" />
			<div className="mt-10">
				Jmenuji se <b>Roman Jaroš</b>.
			</div>
			<div className="mt-5">
				<p>
					Je mi <b>{age} let</b> a již <b>{work} let</b> se profesionálně věnuji
					vývoji a správě webových aplikací.
				</p>
				<p className="mt-3">
					Programování se věnuji od svých 15 let. Mé dosažené vzdělání je
					Střední lesnická škola zakončené s maturitou. Fakt, že mám vystudováný
					zcela jiný obor, jen podtrhuje mé nabité znalosti a zkušenosti. Osobně
					si i myslím, že na vzdělání tolik nezáleží, pokud je práce i zábavou.
					Stále se rád učím novým technologiím a snažím se je aplikovat ve svém
					FW nebo na nových projektech.
				</p>
				<p className="mt-3">
					Rád se vzdělávám i mimo svět programování. Doma mám dva Intel NUC
					počítače, na kterých mi běží plno aplikací. Na těchto serverech se
					učím pracovat s aplikacemi pro CI/CD, monitorování různých aktivit a
					zapracování bezpečnostním prvků.
				</p>
				<p className="mt-3">
					Mimo svět IT se rád zabívám čtením knih o osobním rozvoji, meditacím a
					alternativní medicíně.
				</p>
				<p className="mt-3">
					<b>Aktuálně spolupracuji pouze na IČO.</b>
				</p>
			</div>
		</MySection>
	);
};

export default AboutMe;
