import { FC } from "react";
import MySection from "./MySection";
import MyTitle from "./MyTitle";

const Contact: FC = () => {
	return (
		<MySection iconName="contact">
			<MyTitle left="Můj" right="Kontakt" />
			<div className="mt-10">
				<p className="mb-2">
					Obchodní nabídky prosím zasílejte&nbsp;
					<a href="mailto:sales@romanjaros.dev">sem</a>.
				</p>
				<p className="mb-2">
					Jiné dotazy prosím <a href="mailto:info@romanjaros.dev">sem</a>.
				</p>
				<p className="mt-4">
					<a
						target="_blank"
						href="http://linkedin.com/in/roman-jaroš-16a687139"
						rel="noreferrer"
					>
						LinkedIn
					</a>
				</p>
				<p className="mt-2">
					<a target="_blank" href="https://git.romanjaros.dev" rel="noreferrer">
						Gitea (Git)
					</a>
				</p>
				<p className="mt-10">
					Pokud potřebujete zadat tiket na podporu, použijte prosím&nbsp;
					<a
						target="_blank"
						href="https://helpdesk.romanjaros.dev/index.php?a=add"
						rel="noreferrer"
					>
						tento formulář
					</a>
					.
				</p>
			</div>
		</MySection>
	);
};

export default Contact;
