import { isNil, map } from "ramda";
import { FC, Fragment, useMemo } from "react";
import { projects } from "../constants/projects";
import MySection from "./MySection";
import MyTitle from "./MyTitle";

const FullStory: FC = () => {
	const projectsRender = useMemo(() => {
		let i = 0;
		return map((project) => {
			i++;
			return (
				<Fragment key={i}>
					<div className="border-timeline border-dotted border-l-4 pl-4 my-2">
						<p className="mb-2 font-bold">{project.name}</p>
						<p className="mb-2 font-thin">
							{project.dateFrom} - {project.dateTo}
						</p>
						<p>
							{project.desciption}
							{!isNil(project.link) ? (
								<>
									<a
										href={project.link}
										target="_blank"
										rel="noreferrer"
										className="ml-1"
									>
										Odkaz na projekt
									</a>
									.
								</>
							) : null}
						</p>
					</div>
					{i === projects.length ? null : (
						<svg height="20" width="20" className="-ml-2">
							<circle cx="10" cy="10" r="9" fill="#B25068" />
						</svg>
					)}
				</Fragment>
			);
		}, projects);
	}, []);

	return (
		<MySection iconName="story">
			<MyTitle left="Na" right="Projektech" />
			<div className="mt-10">{projectsRender}</div>
		</MySection>
	);
};

export default FullStory;
