import React, { FC, ReactElement } from "react";
import { Grid, GridCol } from "@treejs/components/Grid";
import Image from "next/image";
import { GRID_SIZE } from "@treejs/components/Grid/types";

type IProps = {
	iconName: string;
	children: ReactElement | ReactElement[];
};

const MySection: FC<IProps> = ({ iconName, children }) => {
	return (
		<section>
			<Grid
				cols={{ [GRID_SIZE.SM]: 1, [GRID_SIZE.LG]: 6 }}
				className="mb-28 mx-4"
			>
				<GridCol colSpan={1} className="text-center">
					<Image
						src={`/${iconName}.svg`}
						alt={iconName}
						width={200}
						height={200}
						objectFit="contain"
					/>
				</GridCol>
				<GridCol
					colSpan={{ [GRID_SIZE.SM]: 1, [GRID_SIZE.LG]: 5 }}
					className="lg:ml-10"
				>
					{children}
				</GridCol>
			</Grid>
		</section>
	);
};

export default MySection;
