import React, { FC } from "react";
import cx from "classnames";

type IProps = {
	left: string;
	right: string;
	className?: string;
};

const MyTitle: FC<IProps> = ({ left, right, className }) => {
	return (
		<div className={cx("mytitle", className)}>
			<span className="mytitle-left">&lt;</span>
			<h2>
				<span className="mytitle-left">{left}</span>
				<span className="mytitle-right">{right}</span>
			</h2>
			<span className="mytitle-left">&nbsp;/&gt;</span>
		</div>
	);
};

export default MyTitle;
