import "../styles/globals.css";

import type { AppProps } from "next/app";
import { useRouter } from "next/router";

import Skeleton from "@treejs/components/Skeleton";
import store from "../redux/store";
import { Provider } from "react-redux";
import Footer from "../components/Footer";

function PortolioApp({ Component, pageProps }: AppProps) {
	const router = useRouter();

	return (
		<Provider store={store}>
			<Skeleton
				history={router}
				menuItems={{}}
				enabledMenu={{
					sidebar: false,
					user: false,
				}}
				components={{
					footer: <Footer />,
				}}
			>
				<Component {...pageProps} />
			</Skeleton>
		</Provider>
	);
}

export default PortolioApp;
