import { combineReducers } from "redux";

import { MODAL_REDUCER_NAME } from "@treejs/components/Modal/constants";
import modalReducer from "@treejs/components/Modal/reducer";
import { TOASTER_REDUCER_NAME } from "@treejs/components/Toaster/constants";
import toasterReducer from "@treejs/components/Toaster/reducer";
import { ROOT_REDUCER_NAME } from "@treejs/constants/redux";
import { configureStore } from "@reduxjs/toolkit";

type ITreejsReducer = {
	[MODAL_REDUCER_NAME]: typeof modalReducer;
	[TOASTER_REDUCER_NAME]: typeof toasterReducer;
};

const store = configureStore({
	reducer: combineReducers({
		[ROOT_REDUCER_NAME]: combineReducers<ITreejsReducer>({
			[MODAL_REDUCER_NAME]: modalReducer,
			[TOASTER_REDUCER_NAME]: toasterReducer,
		}),
	}),
	devTools: process.env.NEXT_PUBLIC__IS_DEV === "true",
});

export default store;
