/** @type {import('tailwindcss').Config} */
const path = require("path");

const plugin = require("tailwindcss/plugin");

module.exports = {
	presets: [require("@treejs/styles/tailwind.config")],
	content: [
		...require("@treejs/styles/tailwind.config").content,
		path.resolve(""), // path to place, where are used tailwind styles
	],
	safelist: require("@treejs/styles/tailwind.config").safelist,
	theme: {
		extend: {
			colors: {
				timeline: "var(--color-timeline)",
			},
		},
	},
	variants: {
		extend: {},
	},
	plugins: [
		plugin(require("./plugins/mytitle")),
		plugin(require("./plugins/sketeton")),
	],
};
